Bug 893199 - Update DocBook 5 CSS
Update DocBook 5 CSS
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeff Fearn
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-08 16:29 EST by Stephen Gordon
Modified: 2013-12-18 21:46 EST (History)
4 users (show)

See Also:
Fixed In Version: 4.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-18 21:46:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stephen Gordon 2013-01-08 16:29:50 EST
Description of problem:

In DocBook 5.x this markup:

    <corpauthor>
        <inlinemediaobject>
        <imageobject>
            <imagedata fileref="Common_Content/images/title_logo.svg" format="SVG" />
         </imageobject>
        </inlinemediaobject>
    </corpauthor>

Becomes:

    <author>
        <orgname>
            <inlinemediaobject>
            <imageobject>
                <imagedata fileref="Common_Content/images/title_logo.svg" format="SVG" />
             </imageobject>
            </inlinemediaobject>
        </orgname>
    </author>

In the /usr/share/publican/Common_Content/common/en-US/css/common.css I can see that historically the styling for this element has been applied as:

.titlepage .corpauthor {
    margin-top: 1em; 
    text-align: center;
}

Elsewhere in the file there is styling for h3.author and .author elements, but neither contain the text alignment setting. This was appropriate previously but when building books with the DocBook 5.0 DTD and common-db5 brand the author content all goes to the left instead of being center aligned.

For now I am going to attempt to rectify this in the overrides.css of the brand I am trying to create but I think a fix for this needs to end up in common-db5 if the plan is to ultimately have all brands inherit from it somewhere down the track.

Version-Release number of selected component (if applicable):

publican-3.0-0.fc17.t216.noarch
Comment 1 Stephen Gordon 2013-01-08 16:35:06 EST
For now in my overrides.css files I have just appended this which seems to do the trick:

div.author {
    text-align: center;
}
Comment 2 Jeff Fearn 2013-09-17 20:29:12 EDT
Hijacking this to use for DB5 style.
Comment 3 HSS Product Manager 2013-09-18 01:29:01 EDT
HSS-QE has reviewed and declined this request. QE for this bug will be handled by IED.
Comment 4 Jeff Fearn 2013-09-26 20:53:51 EDT
Changed site to separate docbook 4 and 5 styles, added basic style, all checked in. Will be getting UX help on style.
Comment 5 Ruediger Landmann 2013-10-18 01:19:20 EDT
Verified that publican-3.9.9-0.fc19.t12.noarch ships a completely separate set of CSS and XSL for DocBook 5 books in a separate brand that gets installed as common-db5

Note You need to log in before you can comment on or make changes to this bug.